For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Deposit Address

POST https://api.sfox.com/v1/user/deposit/address/:currency

Create a new deposit address for the crypto asset of your specified in your request.

Path Parameters

Name
Type
Description

currency required

string

Create a deposit address for this currency e.g. eth

Response Body

Key
Description

currency

Crypto asset

address

Crypto address to use for deposits

Responses

200
{
    "address":"<eth_address>",
    "currency":"eth"
}

Example Requests

curl -H 'Authorization: Bearer <API_TOKEN>' \
-X POST \
'https://api.sfox.com/v1/user/deposit/address/eth'
const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.sfox.com/v1/user/deposit/address/eth',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests

data = requests.post(
  "https://api.sfox.com/v1/user/deposit/address/eth",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)

Last updated